- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_firewall_ippool – Configure IPv4 IP pools in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify firewall feature and ippool category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
firewall_ippool dictionary | Default: null | Configure IPv4 IP pools.
| arp_intf string |  | Select an interface from available options that will reply to ARP requests. (If blank, any is selected). Source system.interface.name.
| arp_reply string | Choices: disable enable | Enable/disable replying to ARP requests when an IP Pool is added to a policy .
| associated_interface string |  | Associated interface name. Source system.interface.name.
| block_size integer |  | Number of addresses in a block (64 to 4096).
| comments string |  | Comment.
| endip string |  | Final IPv4 address (inclusive) in the range for the address pool (format xxx.xxx.xxx.xxx).
| name string / required |  | IP pool name.
| num_blocks_per_user integer |  | Number of addresses blocks that can be used by a user (1 to 128).
| pba_timeout integer |  | Port block allocation timeout (seconds).
| permit_any_host string | Choices: disable enable | Enable/disable full cone NAT.
| source_endip string |  | Final IPv4 address (inclusive) in the range of the source addresses to be translated (format xxx.xxx.xxx.xxx).
| source_startip string |  | First IPv4 address (inclusive) in the range of the source addresses to be translated (format xxx.xxx.xxx.xxx).
| startip string |  | First IPv4 address (inclusive) in the range for the address pool (format xxx.xxx.xxx.xxx).
| state string | Choices: present absent | Deprecated Starting with Ansible 2.9 we recommend using the top-level 'state' parameter. Indicates whether to create or remove the object.
| type string | Choices: overload one-to-one fixed-port-range port-block-allocation | IP pool type (overload, one-to-one, fixed port range, or port block allocation).
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean added in 2.9 | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
state string added in 2.9 | Choices: present absent | Indicates whether to create or remove the object. This attribute was present already in previous version in a deeper level. It has been moved out to this outer level.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure IPv4 IP pools.
        fortios_firewall_ippool:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          firewall_ippool:
            arp_intf: "<your_own_value> (source system.interface.name)"
            arp_reply: "disable"
            associated_interface: "<your_own_value> (source system.interface.name)"
            block_size: "6"
            comments: "<your_own_value>"
            endip: "<your_own_value>"
            name: "default_name_9"
            num_blocks_per_user: "10"
            pba_timeout: "11"
            permit_any_host: "disable"
            source_endip: "<your_own_value>"
            source_startip: "<your_own_value>"
            startip: "<your_own_value>"
            type: "overload"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.